<?php
/**
 * @package 	JLex Comment - EasySocial module
 * @version 	1.0.0
 * @copyright 	Copyright [c] 2013-2016 JLexArt.com
 * @license 	http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author 		www.jlexart.com
 */

// No direct access.
defined ( '_JEXEC' ) or die;

jimport ( 'joomla.form.formfield' );
class JFormFieldJCMCategory extends JFormField {
	protected $type = 'jcmcategory';
	protected function getInput() {
		$db = JFactory::getDBO ();
		
		// Check K2 installed yet?
		$filek2 = JPATH_ROOT.'/components/com_easyblog/easyblog.php';
		if (!file_exists($filek2)) {
			return '<span style="color:red">This element requires component EasyBlog!</span>';
		}
		
		$query = 'SELECT id,title,parent_id FROM #__easyblog_category ORDER BY parent_id, ordering';
		$db->setQuery ( $query );
		$mitems = $db->loadObjectList ();
		$children = array ();
		if ($mitems) {
			foreach ( $mitems as $v ) {
				$pt = $v->parent_id;
				$list = @$children [$pt] ? $children [$pt] : array ();
				array_push ( $list, $v );
				$children [$pt] = $list;
			}
		}
		$list = JHTML::_ ( 'menu.treerecurse', 0, '', array (), $children, 9999, 0, 0 );
		$mitems = array ();
		$mitems [] = JHTML::_ ( 'select.option', 0, 'Select all' );
		
		foreach ( $list as $item ) {
			$item->treename = JString::str_ireplace ( '&#160;', '- ', $item->treename );
			$mitems [] = JHTML::_ ( 'select.option', $item->id, '   ' . $item->treename );
		}
		$fieldName = $this->name . '[]';
		$output = JHTML::_ ( 'select.genericlist', $mitems, $fieldName, 'class="inputbox" multiple="multiple" size="10"', 'value', 'text', $this->value );
		return $output;
	}
}