<?php
/**
 * @package 	JLex Comment - EasySocial module
 * @version 	1.0.0
 * @copyright 	Copyright [c] 2013-2016 JLexArt.com
 * @license 	http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author 		www.jlexart.com
 */

// No direct access.
defined ( '_JEXEC' ) or die;

class modJLexCommentEbHelper
{
	protected $params;

	public function __construct( $params )
	{
		$this->params = $params;
	}

	public function getRow( $id )
	{
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select("id,title,category_id")
			  ->from( "#__easyblog_post" )
			  ->where( "id=" . $id );

		$row = $db->setQuery($query)->loadObject();
		if (!$row)
		{
			return false;
		}

		$catCid = $this->params->get("category", null);
		if (!$catCid || in_array("0", $catCid))
		{
			return $row;
		}

		if (!in_array($row->category_id, $catCid))
		{
			if ($this->params->get("child",1)==1)
			{
				$parent = $row->category_id;

		        while ($parent > 0) {
		            $query = "SELECT parent_id FROM #__easyblog_category WHERE id=".$db->quote($parent);
		            $parent = $db->setQuery($query)->loadResult();
		            if (! $parent) return false;

		            $parent*=1;
		            if (in_array($parent, $catCid))
		            {
		            	return $row;
		            }
		        }
			}

			return false;
		}

		return $row;
	}

	public static function getCountCmAjax()
	{
		require_once JPATH_ROOT . '/components/com_jlexcomment/bootstrap.php';

		$app = JFactory::getApplication();
		$cid = $app->input->get("cid", null, "array");

		if (!$cid || !is_array($cid) || !count($cid))
		{
			return null;
		}

		$lang = JFactory::getLanguage();
        $extension = "com_jlexcomment";
        $lang->load($extension, JPATH_ADMINISTRATOR);

		$db = JFactory::getDbo();
		$config = JLexCommentHelper::getConfig ();
		$cidQ = array();

		foreach ($cid as $id)
		{
			$cidQ[] = $db->quote($id);
		}

        $whereClauses = array (
                $db->quoteName('com_name') . "=" . $db->quote("easyblog"),
                $db->quoteName('com_key') . " IN (".implode(",", $cidQ).")",
                $db->quoteName('published') . "=" . $db->quote(1)
            );

        $query = $db->getQuery(true);
        $query->select ( ($config->def('count_cm',0)==0 ? $db->quoteName("cm_i_count_active"):$db->quoteName("cm_count_active")) . " AS cm_count" )
              ->select( "url" )
              ->select( "com_key" )
              ->from ('#__jlexcomment_obj')
              ->where ($whereClauses);

        $result = $db->setQuery ($query)->loadObjectList( "com_key" );
        if (!$result)
        {
        	$result = array();
        }
        $response = array();
        
        foreach ($cid as $id)
        {
        	$cm_count = array_key_exists($id, $result) ? $result[$id]->cm_count : 0;
        	$response[$id] = array(
        		"text" => $cm_count>0?($cm_count>1?JText::sprintf("JCM_TOTAL_COMMENTS",$cm_count) : JText::_("JCM_ONE_COMMENT")) : JText::_("JCM_WRITE_A_COMMENT"),
        		"url"  => array_key_exists($id, $result) ? JUri::base() . $result[$id]->url : null,
        		"count" => $cm_count
        	);
        }

        // jcm-count-cm
        return json_encode($response);
	}
}