<?php
/**
 * @version		1.0.0
 * @package		Event Booking - JLex Comment
 * @copyright	Copyright (C) 2013-2016 JLexArt Team. All rights reserved.
 * @license		GNU/GPL or later
 * @author		JLexArt.COM (support@jlexart.com)
 */

defined('_JEXEC') or die;

class plgEventBookingJLexComment extends JPlugin
{
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		JTable::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_eventbooking/table');
	}

	public function onEventDisplay($row)
	{
		ob_start();
		$this->displayCommentForm($row);
		$form = ob_get_contents();
		ob_end_clean();

		return array('title' => JText::_('Comment'),
		             'form'  => $form,
		);
	}

	/**
	 * Display form allows users to add comments about the event via JLex Comment
	 *
	 * @param object $row
	 */
	private function displayCommentForm($row)
	{
		$loader = JPATH_ROOT . '/components/com_jlexcomment/load.php';
		if (file_exists($loader))
		{
			require_once $loader;
			echo '<div style="clear:both; padding-top: 10px;"></div>';
			echo JLexCommentLoader::init('eventbooking', $row->id, $row->title);
		}
	}
}
