<?php
/**
 * @version		1.0.0
 * @package		CB - JLex Comment
 * @copyright	Copyright (C) 2013-2016 JLexArt Team. All rights reserved.
 * @license		GNU/GPL or later
 * @author		JLexArt.COM (support@jlexart.com)
 */

/** ensure this file is being included by a parent file */
if (! (defined ( '_VALID_CB' ) || defined ( '_JEXEC' ) || defined ( '_VALID_MOS' ))) {
	die ( 'Direct Access to this location is not allowed.' );
}


$_PLUGINS->registerUserFieldTypes ( array ('jlexcomment' => 'CBfield_JlexComment' ) );
$_PLUGINS->registerFunction( 'onBeforeUsersListBuildQuery', 'sortByComment', 'CBfield_JlexComment' );

class getJLexCommentTab extends cbTabHandler
{
	public function __construct()
	{
		$this->cbTabHandler ();
	}

	public function getTabTitle( $tab, $user, $ui, $postdata )
	{
		$total = 0;
		$loader = JPATH_ROOT . '/components/com_jlexcomment/load.php';

		$params = json_decode($tab->params);

		if ($params!=null && $params->cm_count==0)
		{
			return parent::getTabTitle( $tab, $user, $ui, $postdata );
		}

		if ( file_exists($loader) )
		{
			$data = JLexCommentLoader::count_cm( "comprofiler", $user->id, null, false );
			$total = $data->cm_count;
		}

		return parent::getTabTitle( $tab, $user, $ui, $postdata ) . ' <span class="badge badge-default">' . (int) $total . '</span>';
	}

	public function getDisplayTab($tab, $user, $ui)
	{
		$loader = JPATH_ROOT . '/components/com_jlexcomment/load.php';
		if ( !file_exists($loader) )
		{
			return "";
		}
		
		require_once $loader;
		return JLexCommentLoader::init("comprofiler", $user->user_id, $user->name);
	}
}

class CBfield_JlexComment extends cbFieldHandler
{
	public function getField(&$field, &$user, $output, $reason, $list_compare_types)
	{
		$loader = JPATH_ROOT . '/components/com_jlexcomment/load.php';
		if ( !file_exists($loader) )
		{
			return 0;
		}
		
		$data = JLexCommentLoader::count_cm( "comprofiler", $user->user_id );
		return $data->cm_count;
	}

	public function sortByComment(&$tablesSQL, &$joinsSQL, &$tablesWhereSQL)
	{
		// use jcm.`cm_i_count_active` ASC/DESC for Soring advanced field
		$joinsSQL[] = "LEFT JOIN #__jlexcomment_obj jcm ON (jcm.com_key=u.id AND jcm.com_name=\"comprofiler\")";
	}
}