<?php
/**
 * @package		JLex Comment
 * @subpackage  Image Captcha
 * @copyright	Copyright (C) 2013-2016 JLexArt.com. All rights reserved.
 * @license		GNU/GPL
 */

defined ( '_JEXEC' ) or die;

jimport ("joomla.filesystem.file");

class plgJLexCommentImageCaptcha extends JPlugin {
	public function __construct(& $subject, $config)
    {
        parent::__construct($subject, $config);
        $this->loadLanguage();
    }

	public function onFormDisplay()
	{
		$app = JFactory::getApplication();
		if($app->isClient('administrator')) return;

		$path = dirname(__FILE__).'/script.js';
		$script = file_get_contents($path);
		$script = str_replace ( array (
				'#root',
				'#reply',
				'#YOU_ARE_NOT_ROBOT',
				'#reload'
		), array (
				JUri::root(true).'/index.php',
				$this->params->get ( 'reply', 1 ),
				JText::_("PLG_CAPTCHA_YOU_NOT_ROBOT"),
				JText::_("PLG_CAPTCHA_RELOAD"),
		), $script );

		$doc = JFactory::getDocument();
		$doc->addScriptDeclaration($script);

		return "";
	}

	public function onBeforeSave(&$row, $context)
	{
		$app = JFactory::getApplication();
		if($app->isClient('administrator')) return;
		
		// make sure event status correctly
		if ($context != 'com_jlexcomment.save') {
			return true;
		}

		if ($row->parent_id>0 && !$this->params->get('reply',1))
		{
			return true;
		}

		$session = JFactory::getSession();
		$captcha = $session->get('captcha','','JcmImageCaptcha');
		$request = $app->input->getString('captcha','');
		
		if(empty($captcha) || $request!=$captcha) {
			throw new Exception(JText::_("PLG_CAPTCHA_INCORRECT_VALUE"));
			return false;
		}
		
		return true;
	}
}
