<?php
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\Utilities\ArrayHelper;

class PlgUserJLexComment extends JPlugin
{
	public function onUserAfterDelete($user, $success, $msg)
	{
		if (!$success)
		{
			return false;
		}

		$userId = ArrayHelper::getValue($user, 'id', 0, 'int');
		$username = '';
		$newname = (int) $this->params->get('newname',1);

		if($newname==1){
			$username = ArrayHelper::getValue($user, 'username', '', 'string');
		} elseif($newname==2){
			$username = ArrayHelper::getValue($user, 'name', '', 'string');
		}
		
		if(empty($username)) $username = 'Guest'.$userId;

		if ($userId)
		{
			try
			{
				$db = Factory::getDbo();
				$query = $db->getQuery(true);

				$query->update('#__jlexcomment')
					  ->set([
					  	'created_by=0',
					  	'guest_name='.$db->quote($username),
					  	'guest_email='.$db->quote('user@deleted.com')
					  ])
					  ->where('created_by='.$userId);

				if($this->params->get('unpublish', 1))
				{
					$query->set('published=0');
				}

				$db->setQuery($query)->execute();

				// delete user
				$query->clear()
					  ->delete('#__jlexcomment_users')
					  ->where('userid='.$userId);

				$db->setQuery($query)->execute();
			}
			catch (Exception $e)
			{
				$this->_subject->setError($e->getMessage());
				return false;
			}
		}

		return true;
	}
}
