<?php
/**
 * @package		JLex Comment
 * @subpackage  reCaptcha
 * @copyright	Copyright (C) 2013-2016 JLexArt.com. All rights reserved.
 * @license		GNU/GPL
 */

defined ( '_JEXEC' ) or die;

jimport ("joomla.filesystem.file");

class plgJLexCommentRecaptcha extends JPlugin {
	public function __construct(& $subject, $config)
    {
        parent::__construct($subject, $config);
        $this->loadLanguage();
    }

	public function onFormDisplay()
	{
		$app = JFactory::getApplication();
		if ($app->isClient('administrator')) return;

		$path = dirname(__FILE__).'/script.js';
		$script = file_get_contents($path);
		$script = str_replace ( array (
				'#key',
				'#theme',
				'#type',
				'#reply',
				'#YOU_ARE_NOT_ROBOT'
		), array (
				$this->params->get ( 'public_key', '6LcePAATAAAAAGPRWgx90814DTjgt5sXnNbV5WaW' ),
				$this->params->get ( 'theme', 'light' ),
				$this->params->get ( 'type', 'image' ),
				$this->params->get ( 'reply', 1 ),
				JText::_("PLG_CAPTCHA_YOU_NOT_ROBOT")
		), $script );

		$doc = JFactory::getDocument();
		$doc->addScript ("https://www.google.com/recaptcha/api.js");
		$doc->addScriptDeclaration($script);

		return "";
	}

	public function onBeforeSave(&$row, $context)
	{
		$app = JFactory::getApplication();
		if ($app->isClient('administrator')) return;
		
		// make sure event status correctly
		if ($context != 'com_jlexcomment.save') {
			return true;
		}

		if ($row->parent_id>0 && !$this->params->get('reply',1))
		{
			return true;
		}

		require_once dirname ( __FILE__ ) . "/recaptchalib.php";
		$secret = $this->params->get ( 'private_key', '6LcePAATAAAAABjXaTsy7gwcbnbaF5XgJKwjSNwT' );
		
		// empty response
		$response = null;
		
		// check secret key
		$reCaptcha = new ReCaptcha ( $secret );
		
		if (isset ( $_POST ["g-recaptcha-response"] )) {
			$response = $reCaptcha->verifyResponse ( $_SERVER ["REMOTE_ADDR"], $_POST ["g-recaptcha-response"] );
		}
		
		if ($response == null || ! $response->success) {
			throw new Exception(JText::_("PLG_CAPTCHA_INCORRECT_VALUE"));
		}
		
		return true;
	}
}
